This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468647 - Soundcard input and output sources on Dell Inspiron 1525 not working on Fedora 10 Beta Snapshot 3.
Soundcard input and output sources on Dell Inspiron 1525 not working on Fedor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 23:09 EDT by Daniel Santos
Modified: 2009-12-18 01:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Santos 2008-10-26 23:09:05 EDT
Description of problem:
On Dell Inspiron 1525 notebook, where the soundcard is detected as below, the front panel input and output sources are not working correctly. When I insert a headphone on output source 2 no sound is presented, but on output source 1 all works as expected. The external mic (headphone) does not work at all, neither using ALSA nor PULSEAUDIO, but the internal (onboard) mic its working well.

# lshw
*-multimedia
             description: Audio device
             product: 82801H (ICH8 Family) HD Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=HDA Intel latency=0 module=snd_hda_intel
# lspci
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Version-Release number of selected component (if applicable):
Fedora 10 Beta Snapshot 3


How reproducible:
Insert a headphone on the 2nd jack of the front panel, no sound will be presented at all.
Insert an external mic on the front panel input source, no sound will be captured, neither using ALSA nor PULSEAUDIO, but the internal (onboard) mic works fine.

Steps to Reproduce:
1. Play some audio file.
2. Plug a headphone on the 2nd jack of the front panel output source.
3. No sound will be presented at all.
4. Insert an external mic on the front panel input source, no sound will be captured, neither using ALSA nor PULSEAUDIO, but the internal (onboard) mic works fine.

Actual results:
The 2nd jack of the front panel output source is MUTE.
The external mic (headphone) is not working at all, neither using ALSA nor PULSEAUDIO.

Expected results:
Play the same thing that is playing at the 1st jack of front panel output source, instead of beeing mute.
Capture sounds coming from the external mic (headphone).

Additional info:
These features was working fine on Fedora 9, but on Fedora 10 Beta Snapshot 3 is not working anymore.
The same problems are presented on Ubuntu 8.10 RC as well.
Comment 1 Bug Zapper 2008-11-25 23:16:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Daniel Santos 2009-02-25 21:56:46 EST
After some research I found out how to overcome this problem.

After I create the file /etc/modprobe.d/alsa-base with the above line everything worked out.

options snd-hda-intel model=3stack

Maybe this information could help you guys.
Comment 3 Chris Shoemaker 2009-05-22 15:56:39 EDT
Daniel, thanks for reporting the solution.  This bug is filed against the kernel component, but I don't see which kernel version you were using?  Do you know?  And is this hack still needed for a more recent kernel version?
Comment 4 Daniel Santos 2009-05-22 17:36:41 EDT
Hi Chris... I don't remember exactly which version I was using... but surely, this apply to more recent kernels as well... and the solution works in all these versions. This problem ocurrs even on Ubuntu 9.10.

Thanks.
Comment 5 Bug Zapper 2009-11-18 02:57:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:39:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.